Package com.collibra.dgc.core.api.dto.activitystream

# Class ActivityPagedResponse

Object
PagedResponse<Activity>
ActivityPagedResponse

All Implemented Interfaces:
  `Serializable`

public class ActivityPagedResponse extends PagedResponse<Activity>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class PagedResponse

  `PagedResponse.Builder<T>`

- ## Field Summary

  ### Fields inherited from class PagedResponse

  `limit, offset, total`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivityPagedResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getLimit()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A copy of the limit request parameter.
  `long`
  `getOffset()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A copy of the offset request parameter.
  `long`
  `getTotal()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A placeholder value that should not be relied on, for performance reasons activities are not actually counted.

  ### Methods inherited from class PagedResponse

  `builder, canEqual, equals, getResults, hashCode, setLimit, setOffset, setResults, setTotal, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActivityPagedResponse

    public ActivityPagedResponse()

- ## Method Details

  - ### getTotal

    @Deprecated(since="2024.02", forRemoval=true) public long getTotal()
    Deprecated, for removal: This API element is subject to removal in a future version.
    A placeholder value that should not be relied on, for performance reasons activities are not actually counted.
    Description copied from class: `PagedResponse`
    Returns the total number of results.
    Overrides:
      `getTotal` in class `PagedResponse<Activity>`
    Returns:
      the total number of results

  - ### getOffset

    @Deprecated(since="2024.02", forRemoval=true) public long getOffset()
    Deprecated, for removal: This API element is subject to removal in a future version.
    A copy of the offset request parameter.
    Description copied from class: `PagedResponse`
    Returns the offset for the results.
    Overrides:
      `getOffset` in class `PagedResponse<Activity>`
    Returns:
      the offset for the results

  - ### getLimit

    @Deprecated(since="2024.02", forRemoval=true) public long getLimit()
    Deprecated, for removal: This API element is subject to removal in a future version.
    A copy of the limit request parameter.
    Description copied from class: `PagedResponse`
    Returns the maximum number of results to be returned.
    Overrides:
      `getLimit` in class `PagedResponse<Activity>`
    Returns:
      the maximum number of results to be returned